Pavel Kotlov Pavel Kotlov - 27 days ago 15
Java Question

I am having troubles installing the Movilizer eclipse plugin

While installing the Movilizer eclipse plugin as described here I am constantly getting the following error:


The Movilizer Eclipse Plug-in is a feature, which was developed to speed up the development process of Movilizer Requests and Movelets when using the Eclipse web service environment.


exception in eclipse

It seems to be a problem related to SSL certificates not beeing supported by Java.

Answer

Well to install the connector we need to import a Movilizer certificate in the keystore of the JDE/JRE that is being used by the eclipse.

  1. First of all we should install Eclipse Luna although Mars should work too. Now you should be aware of the Java instance that is being used by the eclipse you are trying to enrich with the Movilizer plugin. The following link helps in this regard. link. If you find that the path is something like (C:\ProgramData\Oracle\Java\javapath\java.exe) which seems to be a new Orcale stunt this link will help you. link Also make sure that you have the real java bin directory in your system path. You will need this to call the keytool later on.
  2. Download the StartCom Root CA certificate and copy it in the Java folder. (e.g. C:\Program Files\Java\jre1.8.0_111)Find the file here
  3. Next we should open up a console but doing it in the admin mode. Find out how you can do int on Windows 10 here, Windows 7 here.
  4. call the following in the console in the same dir as (2) so your jre/jde directory: keytool -import -trustcacerts -keystore lib/security/cacerts -storepass changeit -noprompt -alias mycert -file ca-cross-g2.crt
  5. Sometimes you will have to restart your eclipse.